/*
 * Raid 2: The Return of Saddam
 * Copyright (c) 2008 Steven Wallace / Chedda Cheeze
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

// Building
#ifndef _BUILDING_H
#define _BUILDING_H

#ifdef IN_BUILDING_CC
float color_building[][5][3] = {{ {0.11, 0.11, 0.11}, {0.12, 0.12, 0.12}, {0.15, 0.15, 0.15}, {0.1, 0.1, 0.1}, {0.05, 0.05, 0.05} },
					{ {0.3,0.3,0.3},{0.2,0.2,0.2},{0.4,0.4,0.4},{0.1,0.1,0.1},{0.55,0.55,0.55}},
					{ {0.03, 0.04, 0.16}, {0.04, 0.05, 0.17}, {0.02, 0.03, 0.15}, {0.03, 0.05, 0.15}, {0.5, 0.5, 0.5}},
					{ {0.12, 0.06, 0.0}, {0.13, 0.07, 0.1}, {0.11, 0.05, 0.0}, {0.12, 0.07, 0.0}, {0.45, 0.45, 0.45}} };
#endif
						
class Building {
public:
	int x, y;
	float height;
	int color;
	bool alive;

	Building(int x, int y, float height);
	void Draw();
	bool isInside(float x, float y, float z);
};

#endif // _BUILDING_H
