/*
 * Raid 2: The Return of Saddam
 * Copyright (c) 2008 Steven Wallace / Chedda Cheeze
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

// Enemy class
#ifndef _ENEMY_H
#define _ENEMY_H

class Enemy {
public:
	Enemy();

	float x, z, y;	// y is height above ground
	float rotation;
	float velocity;

	// All enemies have one bomb.  They drop it on their target and only there.
	float target_x, target_z;
	bool bomb_dropped;

	void Draw();
	bool Update(float dt);
	bool isInside(float x, float y, float z);
};

#endif // _ENEMY_H
