/*
 * Raid 2: The Return of Saddam
 * Copyright (c) 2008 Steven Wallace / Chedda Cheeze
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

// Star
#ifndef _STAR_H
#define _STAR_H

class Star {
public:
	Star();
	void Update(float dt);
	void Draw();

	float x, y, z;
	float counter;		// Counts for what size to make the shimmer
	float speed;		// Speed it shimmers at
	int tex_idx;		// Which color star to use
	float radius;		// Radius of star (shimmer size depends on this as well)
	bool shimmer;
};


#endif // _STAR_H
