/*
 * Raid 2: The Return of Saddam
 * Copyright (c) 2008 Steven Wallace / Chedda Cheeze
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

// Projectiles
#ifndef _PARTICLE_H
#define _PARTICLE_H

class Projectile {
public:
	float x, y, z;
	float rotation;
	float tilt;
	float velocity;
	float smoke_timer;
	float start_y;	// where it started out.  this way if we are going down then we make sure we don't blow up the plane dropping it
	int voice;


	Projectile(float x, float y, float z, float rot, float til, float vel);
	~Projectile();

	bool Update(float dt);
	bool isInside(float x, float y, float z);
	void Draw();
};

#endif // _PARTICLE_H
